## libahp-gt 1.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(ahp_gt C CXX)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")

include(GNUInstallDirs)

find_package(M REQUIRED)
find_package(Threads REQUIRED)

set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set(AHP_GT_VERSION_MAJOR 1)
set(AHP_GT_VERSION_MINOR 6)
set(AHP_GT_VERSION_RELEASE 1)
set(AHPGT_VERSION "${AHP_GT_VERSION_MAJOR}.${AHP_GT_VERSION_MINOR}.${AHP_GT_VERSION_RELEASE}")
set(AHP_GT_VERSION 0x${AHP_GT_VERSION_MAJOR}${AHP_GT_VERSION_MINOR}${AHP_GT_VERSION_RELEASE})
set(AHPGT_SOVERSION ${AHP_GT_VERSION_MAJOR})

set(SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/ahp_gt.c
   )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ahp_gt.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/ahp_gt.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_INCLUDE_PATH})
link_directories(${CMAKE_LIBRARY_PATH})

execute_process (COMMAND doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

add_library(ahp_gt SHARED ${SOURCES} ${PLATFORM_SOURCES})

if(WIN32)
    target_link_libraries(ahp_gt ws2_32 setupapi cfgmgr32)
else(WIN32)
   set_target_properties(ahp_gt PROPERTIES VERSION ${AHPGT_VERSION} SOVERSION ${AHPGT_SOVERSION})
endif(WIN32)

target_link_libraries(ahp_gt ${CMAKE_THREAD_LIBS_INIT} ${M_LIB})

install(TARGETS ahp_gt LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ahp_gt.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/ahp)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/FindAHPGT.cmake DESTINATION "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules")

=== debian/changelog ===
libahp-gt (1.6.1-2) unstable; urgency=medium

  * debian/control: add correct dependencies
                    (Closes. #1035448

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 08 May 2023 22:35:04 +0200

libahp-gt (1.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Jan 2023 11:35:04 +0000

libahp-gt (1.6.0-2) unstable; urgency=medium

  * debian/control: move to debian-astro team maintenance
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/copyright: update Format:

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Jan 2023 10:03:02 +0100

libahp-gt (1.6.0-1) unstable; urgency=medium

  * Initial Debian release

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 09 Jan 2023 21:03:02 +0100

=== debian/control ===
Source: libahp-gt
Section: misc
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake (>= 2.4.7)
Standards-Version: 4.6.2
Homepage: http://iliaplatone.com
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-gt
Vcs-Git: https://salsa.debian.org/debian-astro-team/libahp-gt.git

Package: libahp-gt1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: AHP GT telescope mount controllers programming - library
 This package contains a library to program the AHP GT telescope mount
 controllers, by setting their gear and acceleration/speed configurations.

Package: libahp-gt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libahp-gt1 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: AHP GT telescope mount controllers programming - development files
 This package contains a library to program the AHP GT telescope mount
 controllers, by setting their gear and acceleration/speed configurations.
 .
 This package is needed for development.

## libahp-gt 1.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(AHP_GT_VERSION_MAJOR 1)
 set(AHP_GT_VERSION_MINOR 6)
-set(AHP_GT_VERSION_RELEASE 1)
+set(AHP_GT_VERSION_RELEASE 3)
 set(AHPGT_VERSION "${AHP_GT_VERSION_MAJOR}.${AHP_GT_VERSION_MINOR}.${AHP_GT_VERSION_RELEASE}")
 set(AHP_GT_VERSION 0x${AHP_GT_VERSION_MAJOR}${AHP_GT_VERSION_MINOR}${AHP_GT_VERSION_RELEASE})
 set(AHPGT_SOVERSION ${AHP_GT_VERSION_MAJOR})
@@ -21,6 +21,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/ahp_gt.c
    )
 
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/99-libahp-gt.rules.cmake ${CMAKE_CURRENT_BINARY_DIR}/99-libahp-gt.rules )
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ahp_gt.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/ahp_gt.h )
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile )
 
@@ -36,6 +37,7 @@
     target_link_libraries(ahp_gt ws2_32 setupapi cfgmgr32)
 else(WIN32)
    set_target_properties(ahp_gt PROPERTIES VERSION ${AHPGT_VERSION} SOVERSION ${AHPGT_SOVERSION})
+   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/99-libahp-gt.rules DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/udev/rules.d)
 endif(WIN32)
 
 target_link_libraries(ahp_gt ${CMAKE_THREAD_LIBS_INIT} ${M_LIB})

=== debian/changelog ===
libahp-gt (1.6.3-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:53:33 +0200

libahp-gt (1.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 02 Jul 2023 23:28:09 +0200

libahp-gt (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Jun 2023 13:36:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libahp-gt
 Section: misc
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake (>= 2.4.7)

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libahp-gt-$1\.tar\.gz/ \
  https://github.com/ahp-electronics/libahp-gt/tags .*/v?(\d\S+)\.tar\.gz \
  debian uupdate

## libahp-gt 1.6.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(AHP_GT_VERSION_MAJOR 1)
 set(AHP_GT_VERSION_MINOR 6)
-set(AHP_GT_VERSION_RELEASE 3)
+set(AHP_GT_VERSION_RELEASE 7)
 set(AHPGT_VERSION "${AHP_GT_VERSION_MAJOR}.${AHP_GT_VERSION_MINOR}.${AHP_GT_VERSION_RELEASE}")
 set(AHP_GT_VERSION 0x${AHP_GT_VERSION_MAJOR}${AHP_GT_VERSION_MINOR}${AHP_GT_VERSION_RELEASE})
 set(AHPGT_SOVERSION ${AHP_GT_VERSION_MAJOR})

=== debian/changelog ===
libahp-gt (1.6.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Sep 2024 23:41:52 +0200

=== debian/tests/control ===
Tests: run-test
Depends: @, gcc, libc6-dev
Restrictions: allow-stderr

## libahp-gt 1.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(AHP_GT_VERSION_MAJOR 1)
-set(AHP_GT_VERSION_MINOR 6)
-set(AHP_GT_VERSION_RELEASE 7)
+set(AHP_GT_VERSION_MINOR 7)
+set(AHP_GT_VERSION_RELEASE 3)
 set(AHPGT_VERSION "${AHP_GT_VERSION_MAJOR}.${AHP_GT_VERSION_MINOR}.${AHP_GT_VERSION_RELEASE}")
 set(AHP_GT_VERSION 0x${AHP_GT_VERSION_MAJOR}${AHP_GT_VERSION_MINOR}${AHP_GT_VERSION_RELEASE})
 set(AHPGT_SOVERSION ${AHP_GT_VERSION_MAJOR})

=== debian/changelog ===
libahp-gt (1.7.3-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113107)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:41:15 +0200

libahp-gt (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 13 Mar 2025 19:29:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libahp-gt
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake (>= 2.4.7)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://iliaplatone.com
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/libahp-gt
